# Slow-Start Power Socket

If connecting all your devices at the same time is tripping a circuit breaker, you need a *slow-start power socket*.

This device controls a strip of power sockets, enabling them individually one by one with a delay. This way there is a much smaller spike in electricity usage, which helps to avoid tripping the circuit breaker.

TODO: image of result

## Overview

A microcontroller is powered from a 5V brick (always connected). It controls a set of relays, which in turn enable power to individual power sockets. Upon boot the microcontroller waits a few seconds before enabling each of the power sockets. Then it sits idly by until the next power outage. All of this is enclosed in an electrical distribution box.

Optionally a speaker is used to indicate the state of the power socket "boot" process. A circuit breaker may be added to guard the whole device from tripping the main circuit breaker in the building.

## Bill of Materials
- microcontroller (MCU, Arduino)
- multi-relay module board
- 5V power brick (to power the MCU and relays)
- socket for the power brick
- electrical distribution box (safe housing for the whole device)
- power socket modules suitable for the distribution box
- corded power plug (for connecting the whole device to electricity)
- cables suitable for electrical wiring
- speaker (optional)
- circuit breaker module (optional)

TODO: image of internals

